Pixels
GET https://addme.vn/api/pixels/
curl --request GET \
--url 'https://addme.vn/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://addme.vn/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| Thông số | Details | Description |
|---|---|---|
| search | Optional Chuỗi | Chuỗi tìm kiếm. |
| search_by | Optional Chuỗi | Bạn đang tìm kiếm theo lĩnh vực nào. Các giá trị được phép là: name , pixel. |
| type | Optional Chuỗi | Giá trị được phép: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat |
| order_by | Optional Chuỗi | Sắp xếp kết quả theo trường nào. Các giá trị được phép là: pixel_id , datetime , last_datetime , name. |
| order_type | Optional Chuỗi | Thứ tự của kết quả. Các giá trị được phép là: ASC cho thứ tự tăng dần và DESC cho thứ tự giảm dần. |
| page | Optional Số nguyên | Số trang mà bạn muốn lấy kết quả. Mặc định là 1. |
| results_per_page | Optional Số nguyên | Bạn muốn có bao nhiêu kết quả trên mỗi trang. Các giá trị được phép là: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Mặc định là 25. |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-03-23 11:52:39",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://addme.vn/api/pixels?page=1",
"last": "https://addme.vn/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://addme.vn/api/pixels?page=1"
}
}
GET https://addme.vn/api/pixels/{pixel_id}
curl --request GET \
--url 'https://addme.vn/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://addme.vn/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-03-23 11:52:39",
}
}
POST https://addme.vn/api/pixels
| Thông số | Details | Description |
|---|---|---|
| type | Bắt buộc Chuỗi | Giá trị được phép: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat |
| name | Bắt buộc Chuỗi | - |
| pixel | Bắt buộc Chuỗi | - |
curl --request POST \
--url 'https://addme.vn/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://addme.vn/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://addme.vn/api/pixels/{pixel_id}
| Thông số | Details | Description |
|---|---|---|
| type | Optional Chuỗi | Giá trị được phép: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat |
| name | Optional Chuỗi | - |
| pixel | Optional Chuỗi | - |
curl --request POST \
--url 'https://addme.vn/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://addme.vn/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://addme.vn/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://addme.vn/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://addme.vn/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \